/****************************************************************************
 *
 *
 * File              : mclib.h
 * Compiler          : WinAVR 4.11
 * Revision          : $Revision: 0.99 $
 * Date              : $Date: Wednesday, May 15, 2013 $
 * Updated by        : $Author: Frank Brennecke $
 *
 * 
 * Supported devices : ATmega88, ATMega644
 * Description       : Interface definitions using Touchscreen ansd Graphics Library
 *
 ****************************************************************************/


#define Send_Command			uart_putc
#define Send_String				uart_puts
#define	Wait_For_Input 			uart_getchar()
#define	Check_For_Input 		uart_getc()






/*==============================================*/
/*==== Menu-Funktionen	====================*/



#define MENUITEM1	1
#define MENUITEM2	2
#define MENUITEM3	3
#define MENUITEM4	4
#define MENUITEM5	5






int Show_Menu_Screen(const char *caption, const char *menu1, const char *menu2, const char *menu3, const char *menu4, const char *menu5)


/*==============================================*/
/*==== Keyboard-Funktionen	====================*/


#define MAXBUTTONS 				38
#define MAXNUMERICBUTTONS		10
#define KEYBOARD_MINMAXERROR	-1
#define KEYBOARD_CANCELLED		-2  // Abbrechen-Knopf gedrckt
#define NUMERIC_KEYBOARD		1
#define ALPHANUMERIC_KEYBOARD		0
#define STRING_BUFFER_SIZE 5
#define INPUT_BUFFER_SIZE 20

char Value_Buffer[INPUT_BUFFER_SIZE];
const char str_InputError[]="Fehler...";

signed int ShowKeyboard(int Min, int Max, char Keyboard_Mode, const char *caption);


int Slider(const char *caption, int min, int value, int max);

#define MR_OK			0
#define MR_CANCEL		1
#define MR_YES			2
#define MR_NO			3
#define MR_NEXT			4
#define MR_BACK			5
#define MR_ERROR		255



unsigned char MessageBox(char mode, const char *caption, const char *line1, const char *line2, const char *line3)


